{
	"group/traygroup": {
		"orientation": "inherit",
		"modules": [
			"tray",
			"network",
			"bluetooth",
			"pulseaudio",
			"pulseaudio#lol"
		]
	},

	"custom/middle-split": {
		"format": " "
	},

	"mpris": {
		"players": ["chromium", "cmus", "elisa", "cider", "spotify", "OCbwoy3_s_iPhone"],
		"interval": 1,
		"on-scroll-up": "playerctl -p chromium,cmus,elisa,cider,spotify,OCbwoy3_s_iPhone volume 0.05+",
		"on-scroll-down": "playerctl -p chromium,cmus,elisa,cider,spotify,OCbwoy3_s_iPhone volume 0.05-",
		"on-click": "playerctl -p chromium,cmus,elisa,cider,spotify,OCbwoy3_s_iPhone play-pause",
		"on-click-right": "playerctl -p chromium,cmus,elisa,cider,spotify,OCbwoy3_s_iPhone next",
		"on-click-middle": "playerctl -p chromium,cmus,elisa,cider,spotify,OCbwoy3_s_iPhone previous",
		"format": "  {artist} — {title}",
		// "format": "  {title}",
		"tooltip-format": "{album}",
		"tooltip-format-stopped": "",
		"format-stopped": "",
		"smooth-scrolling-treshold": 40,
		"max-length": 60
	},

	"custom/regretevator_state": {
		"restart-interval": 1,
		"return-type": "json",
		"exec": "cat /tmp/.regretevator_state"
	},

	"hyprland/window": {
		"format": "{}",
		"rewrite": {
			"(Support Hyprland|MainPicker|Hyprland Updated)": "Hyprland",
			"DELTARUNE": "Deltarune",
			"DELTARUNE Chapter ([0-9]+)": "Deltarune",
			"Sober": "Roblox",
			"vinegar": "Vinegar",
			"RobloxStudio": "Roblox Studio",
			"SCPSL": "SCP: Secret Laboratory",
			"PORTAL 2 - (OpenGL|Vulkan)": "Portal 2",
			"HALF-LIFE 2 - (OpenGL|Vulkan)": "Half-Life 2",
			"(.*) - Google( Search| meklēšana)?": "$1",
			
			"Cider": "Apple Music",
			"swappy": "Swappy",
			"(.*) — (Firefox( Developer Edition)|Zen Browser)?": "$1"
		},
		"separate-outputs": false
	},

	"hyprland/workspaces": {
		"on-click": "activate",
		"active-only": false,
		"all-outputs": true,
		"show-special": false,
		"format": "{}",
		"format-icons": {
			"urgent": "",
			"active": "",
			"default": ""
		},
		"persistent-workspaces": {
			"*": 1
		}
	},

	"tray": {
		"icon-size": 21,
		"spacing": 10
	},

	"clock": {
		"timezone": "Europe/Riga",
		// "locale": "lv_LV.utf8",
		"format": "{:%H:%M}",
		"tooltip-format": "<span color='#ffead3'><b>{:L%Y. gada %B}</b></span><tt><small>{calendar}</small></tt>",
		"calendar": {
			"mode": "month",
			"format": {
				"months": "<span></span>",
				"days": "<span color='#ecc6d9'><b>{}</b></span>",
				"weekdays": "<span color='#ffcc66'><b>{}</b></span>",
				"today": "<span color='#ff6699'><b><u>{}</u></b></span>"
			}
		},
		"format-alt": "{:%H:%M:%S}",
		"interval": 1
	},

	"pulseaudio": {
		"format": "{icon}",
		"format-muted": "",
		"format-source": "",
		"format-source-muted": "",
		"format-icons": {
			"default": ["", "", ""]
		},
		"tooltip-format": "{desc}\n{icon} {volume}%",
		"on-click": "pavucontrol"
	},

	"pulseaudio#lol": {
		"format": "{volume}%",
		"format-muted": "0%",
		"format-source": "{volume}%",
		"format-source-muted": "0%",
		"format-icons": {
			"default": ["", "", ""]
		},
		"tooltip-format": "{desc}\n{icon} {volume}%",
		"on-click": "pavucontrol",
		"class": "pulseaudio-lol"
	},

	"network": {
		"format": "󰈁",
		"format-wifi": "",
		"format-ethernet": "",
		"format-disconnected": "󰈂",
		"tooltip-format": " {ifname} via {gwaddri}",
		"tooltip-format-wifi": "  {ifname} @ {essid}\nSignal {signalStrength}%\nFreq: {frequency}MHz\n:  {bandwidthUpBits}  {bandwidthDownBits}",
		"tooltip-format-ethernet": " {ifname}\n  {bandwidthUpBits}  {bandwidthDownBits}",
		"tooltip-format-disconnected": "󰈂",
		"max-length": 50,
		"on-click": "nm-connection-editor"
	},

	"bluetooth": {
		"format": "",
		"format-disabled": "󰂲",
		"format-off": "",
		"interval": 1,
		"on-click": "blueman-manager",
		"format-no-controller": ""
	}
}
